Show / Hide Table of Contents

# Struct AgentRetainerList.RetainerList

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RetainerList

### Fields

| Improve this Doc View Source

#### Retainer0

##### Declaration

    public AgentRetainerList.Retainer Retainer0

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer1

##### Declaration

    public AgentRetainerList.Retainer Retainer1

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer2

##### Declaration

    public AgentRetainerList.Retainer Retainer2

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer3

##### Declaration

    public AgentRetainerList.Retainer Retainer3

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer4

##### Declaration

    public AgentRetainerList.Retainer Retainer4

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer5

##### Declaration

    public AgentRetainerList.Retainer Retainer5

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer6

##### Declaration

    public AgentRetainerList.Retainer Retainer6

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer7

##### Declaration

    public AgentRetainerList.Retainer Retainer7

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer8

##### Declaration

    public AgentRetainerList.Retainer Retainer8

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

| Improve this Doc View Source

#### Retainer9

##### Declaration

    public AgentRetainerList.Retainer Retainer9

##### Field Value

Type | Description
--- | ---
AgentRetainerList.Retainer |

### Properties

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public readonly AgentRetainerList.Retainer*this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
AgentRetainerList.Retainer* |